Package com.xebialabs.xlrelease.variable

# Class VariablesGraphResolver

java.lang.Object
com.xebialabs.xlrelease.variable.VariablesGraphResolver

public class VariablesGraphResolver extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `VariablesGraphResolver.Var<A,V extends Variable>`
  `static class`
  `VariablesGraphResolver.Var$`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariablesGraphResolver()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static void`
  `debug(org.slf4j.Marker mkr, scala.Function0<Object> msg, scala.Function0<Throwable> t)`
  `protected static void`
  `debug(scala.Function0<Object> msg)`
  `protected static void`
  `debug(scala.Function0<Object> msg, scala.Function0<Throwable> t)`
  `static scala.collection.immutable.Map<String,scala.collection.immutable.Set<String>>`
  `dependenciesFor(scala.collection.immutable.Map<String,VariablesGraphResolver.Var<?,? extends Variable>> scope)`
  `protected static void`
  `error(org.slf4j.Marker mkr, scala.Function0<Object> msg, scala.Function0<Throwable> t)`
  `protected static void`
  `error(scala.Function0<Object> msg)`
  `protected static void`
  `error(scala.Function0<Object> msg, scala.Function0<Throwable> t)`
  `static Graph<String>`
  `graphFor(scala.collection.immutable.Map<String,scala.collection.immutable.Set<String>> deps)`
  `static grizzled.slf4j.Logger`
  `grizzled$slf4j$Logging$$_logger()`
  `protected static void`
  `info(org.slf4j.Marker mkr, scala.Function0<Object> msg, scala.Function0<Throwable> t)`
  `protected static void`
  `info(scala.Function0<Object> msg)`
  `protected static void`
  `info(scala.Function0<Object> msg, scala.Function0<Throwable> t)`
  `protected static boolean`
  `isDebugEnabled()`
  `protected static boolean`
  `isErrorEnabled()`
  `protected static boolean`
  `isInfoEnabled()`
  `protected static boolean`
  `isTraceEnabled()`
  `protected static boolean`
  `isWarnEnabled()`
  `protected static grizzled.slf4j.Logger`
  `logger()`
  `protected static String`
  `loggerName()`
  `static scala.collection.immutable.Map<String,VariablesGraphResolver.Var<?,? extends Variable>>`
  `resolve(scala.collection.immutable.Set<Variable> variables)`
  `static scala.Tuple2<scala.collection.immutable.Map<String,String>,scala.collection.immutable.Map<String,String>>`
  `resolveAsStrings(scala.collection.immutable.Set<Variable> variables)`
  `static scala.collection.immutable.Map<String,VariablesGraphResolver.Var<?,? extends Variable>>`
  `scopeFor(scala.collection.immutable.Set<Variable> variables)`
  `protected static void`
  `trace(org.slf4j.Marker mkr, scala.Function0<Object> msg, scala.Function0<Throwable> t)`
  `protected static void`
  `trace(scala.Function0<Object> msg)`
  `protected static void`
  `trace(scala.Function0<Object> msg, scala.Function0<Throwable> t)`
  `static <V extends Variable>
  String`
  `valueAsString(V variable, Object value)`
  `protected static void`
  `warn(org.slf4j.Marker mkr, scala.Function0<Object> msg, scala.Function0<Throwable> t)`
  `protected static void`
  `warn(scala.Function0<Object> msg)`
  `protected static void`
  `warn(scala.Function0<Object> msg, scala.Function0<Throwable> t)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VariablesGraphResolver

    public VariablesGraphResolver()

- ## Method Details

  - ### resolveAsStrings

    public static scala.Tuple2<scala.collection.immutable.Map<String,String>,scala.collection.immutable.Map<String,String>> resolveAsStrings(scala.collection.immutable.Set<Variable> variables)

  - ### resolve

    public static scala.collection.immutable.Map<String,VariablesGraphResolver.Var<?,? extends Variable>> resolve(scala.collection.immutable.Set<Variable> variables)

  - ### valueAsString

    public static <V extends Variable> String valueAsString(V variable, Object value)

  - ### scopeFor

    public static scala.collection.immutable.Map<String,VariablesGraphResolver.Var<?,? extends Variable>> scopeFor(scala.collection.immutable.Set<Variable> variables)

  - ### dependenciesFor

    public static scala.collection.immutable.Map<String,scala.collection.immutable.Set<String>> dependenciesFor(scala.collection.immutable.Map<String,VariablesGraphResolver.Var<?,? extends Variable>> scope)

  - ### graphFor

    public static Graph<String> graphFor(scala.collection.immutable.Map<String,scala.collection.immutable.Set<String>> deps)

  - ### grizzled$slf4j$Logging$$_logger

    public static grizzled.slf4j.Logger grizzled$slf4j$Logging$$_logger()

  - ### logger

    protected static grizzled.slf4j.Logger logger()

  - ### loggerName

    protected static String loggerName()

  - ### isTraceEnabled

    protected static boolean isTraceEnabled()

  - ### trace

    protected static void trace(scala.Function0<Object> msg)

  - ### trace

    protected static void trace(scala.Function0<Object> msg, scala.Function0<Throwable> t)

  - ### trace

    protected static void trace(org.slf4j.Marker mkr, scala.Function0<Object> msg, scala.Function0<Throwable> t)

  - ### isDebugEnabled

    protected static boolean isDebugEnabled()

  - ### debug

    protected static void debug(scala.Function0<Object> msg)

  - ### debug

    protected static void debug(scala.Function0<Object> msg, scala.Function0<Throwable> t)

  - ### debug

    protected static void debug(org.slf4j.Marker mkr, scala.Function0<Object> msg, scala.Function0<Throwable> t)

  - ### isErrorEnabled

    protected static boolean isErrorEnabled()

  - ### error

    protected static void error(scala.Function0<Object> msg)

  - ### error

    protected static void error(scala.Function0<Object> msg, scala.Function0<Throwable> t)

  - ### error

    protected static void error(org.slf4j.Marker mkr, scala.Function0<Object> msg, scala.Function0<Throwable> t)

  - ### isInfoEnabled

    protected static boolean isInfoEnabled()

  - ### info

    protected static void info(scala.Function0<Object> msg)

  - ### info

    protected static void info(scala.Function0<Object> msg, scala.Function0<Throwable> t)

  - ### info

    protected static void info(org.slf4j.Marker mkr, scala.Function0<Object> msg, scala.Function0<Throwable> t)

  - ### isWarnEnabled

    protected static boolean isWarnEnabled()

  - ### warn

    protected static void warn(scala.Function0<Object> msg)

  - ### warn

    protected static void warn(scala.Function0<Object> msg, scala.Function0<Throwable> t)

  - ### warn

    protected static void warn(org.slf4j.Marker mkr, scala.Function0<Object> msg, scala.Function0<Throwable> t)